Bug 1729505 - [DOCS] Update docs section for configuring hugepages
Summary: [DOCS] Update docs section for configuring hugepages
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 4.1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: 4.1.z
Assignee: Alex Dellapenta
QA Contact: Simon
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-12 12:39 UTC by Sunil Choudhary
Modified: 2019-08-23 17:30 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-23 17:29:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift openshift-docs pull 16051 None None None 2019-07-29 16:13:20 UTC

Description Sunil Choudhary 2019-07-12 12:39:31 UTC
Document URL: 

https://docs.openshift.com/container-platform/4.1/scalability_and_performance/what-huge-pages-do-and-how-they-are-consumed-by-apps.html#configuring-huge-pages_huge-pages


Section Number and Name: Configuring huge pages

Describe the issue: 

In step 2, it is stated to edit the default tuned configuration to create hugepage profile. However modifying default tuned configuration does not have any affect and hugepages are not set on the nodes.

Further checking with Jiri Mencak, I see we are not suppose to modify default tuned config and instead create a new tuned config to configure hugepages.

Suggestions for improvement: 

We need to modify the docs to create new tuned config similar to below to configure hugepages.

$ cat hugepages.yaml 
apiVersion: tuned.openshift.io/v1
kind: Tuned
metadata:
  name: hugepages
spec:
  profile:
  - data: |
      [main]
      summary=Configuration of hugepages
      include=openshift-node

      [vm]
      transparent_hugepages=never

      [sysctl]
      vm.nr_hugepages=1024
    name: node-hugepages
  recommend:
  - match:
    - label: hugepages
    priority: 30
    profile: node-hugepages
status: {}


Additional information:

Comment 1 jmencak 2019-07-12 13:46:44 UTC
While the documentation doesn't explicitly state the default profile should be edited, I agree it should be more specific that customizations should be done using custom tuned profiles even though this functionality is a Technology Preview in 4.1.  The default tuned CR (tuned/default) should never be used to perform custom node tuning as it is meant to provide default OCP cluster tuning and will get overridden on operator upgrades in the future.  The current documentation also lacks the name of the huge-pages profile in the data section, which might have caused the problem the profile was not applied when editing the default CR was attempted.

Also, please use the following config instead as the config provided above misses a namespace and has an extra status field:

apiVersion: tuned.openshift.io/v1
kind: Tuned
metadata:
  name: hugepages
  namespace: openshift-cluster-node-tuning-operator
spec:
  profile:
  - data: |
      [main]
      summary=Configuration for hugepages
      include=openshift-node

      [vm]
      transparent_hugepages=never

      [sysctl]
      vm.nr_hugepages=1024
    name: node-hugepages
  recommend:
  - match:
    - label: hugepages
    priority: 30
    profile: node-hugepages

Comment 2 Alex Dellapenta 2019-07-30 00:12:43 UTC
PTAL for QE review: https://github.com/openshift/openshift-docs/pull/16051

Comment 3 Alex Dellapenta 2019-08-08 03:23:50 UTC
Updated PR per feedback: https://github.com/openshift/openshift-docs/pull/16051

Comment 4 Alex Dellapenta 2019-08-16 20:10:12 UTC
Merged https://github.com/openshift/openshift-docs/pull/16051.


Note You need to log in before you can comment on or make changes to this bug.